# we have a circular (build) dependency with the (new) pytest package
# when generating the docs or running the testsuite
%global with_docs 0
%global run_check 0

%global pytest_version 2.5

Name:           python3-py
Version:        1.4.30
Release:        2%{?dist}
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT and Public Domain
#               main package: MIT, except: doc/style.css: Public Domain
URL:            http://pylib.readthedocs.org/
Source:         http://pypi.python.org/packages/source/p/py/py-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?with_docs}
BuildRequires:  python-sphinx
%endif # with_docs
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?run_check}
BuildRequires:  python3-pytest >= %{pytest_version}
# needed by the testsuite
BuildRequires:  subversion
%endif # run_check


%description
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects


%prep
%setup -q -n py-%{version}
# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} + \
   -exec chmod u=rw,go=r {} + 

# fix line-endings
sed -i 's/\r//' README.txt


%build
%{__python3} setup.py build

%if 0%{?with_docs}
make -C doc html PYTHONPATH=$(pwd)
%endif # with_docs


%install
%{__python3} setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT


%check
%if 0%{?run_check}
PYTHONPATH=%{buildroot}%{python3_sitelib} \
LC_ALL="en_US.UTF-8" \
py.test-3 -r s -k"-TestWCSvnCommandPath" testing
%endif # run_check


%files
%doc LICENSE CHANGELOG README.txt
%if 0%{?with_docs}
# HTML docs generated with Python2 for now
%doc doc/_build/html
%endif # with_docs
%{python3_sitelib}/*


%changelog
* Fri Oct 21 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.4.30-2
- Rebuild for Rutgers CentOS 6

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.30-2
- Drop group tag
- Minor cleanup

* Tue Dec 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.30-1
- Initial EPEL package
